@echo off
set KEYTOOL=%JAVA_HOME%\bin\keytool.exe
echo Create RSA key pair for the client...
%KEYTOOL% -genkey -alias Client -keyalg RSA -dname "CN=Client, O=StefanRinke, C=DE" -keypass keyPwd -keystore keystore_client -storepass storePwd -storetype JCEKS

echo Copy client certificate to server's keystore...
%KEYTOOL% -export -alias Client -file foo.cer -keystore keystore_client -storepass storePwd -storetype JCEKS
%KEYTOOL% -import -noprompt -alias Client -file foo.cer -keystore keystore_server -storepass storePwd -storetype JCEKS
del foo.cer

echo Create RSA key pair for the server...
%KEYTOOL% -genkey -alias Server -keyalg RSA -dname "CN=Server, O=StefanRinke, C=DE" -keypass keyPwd -keystore keystore_server -storepass storePwd -storetype JCEKS

echo Copy server certificate to client's keystore...
%KEYTOOL% -export -alias Server -file foo.cer -keystore keystore_server -storepass storePwd -storetype JCEKS
%KEYTOOL% -import -noprompt -alias Server -file foo.cer -keystore keystore_client -storepass storePwd -storetype JCEKS
del foo.cer
